Skip to main content
POST
/
api
/
v2
/
agent
/
{agentId}
/
versions
/
{versionId}
Replace Stored Version
curl --request POST \
  --url 'https://api.vida.dev/api/v2/agent/{agentId}/versions/{versionId}?token=' \
  --header 'Content-Type: application/json' \
  --data '{
  "snapshot": {}
}'
import requests

url = "https://api.vida.dev/api/v2/agent/{agentId}/versions/{versionId}?token="

payload = { "snapshot": {} }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({snapshot: {}})
};

fetch('https://api.vida.dev/api/v2/agent/{agentId}/versions/{versionId}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "versionId": 1750195000123
}

Authorizations

token
string
query
required

Vida API Token

Path Parameters

agentId
string
required

Agent Id

versionId
string
required

Epoch-ms score identifying the snapshot

Body

application/json
snapshot
object
required

Full campaign JSON to store

Response

200 - application/json

Version replaced

success
boolean
Example:

true

versionId
integer
Example:

1750195000123